Subject: FAQ 08-Feb-1994

From: Eberhard Mattes <[email-masked]>
Date: Wed, 9 Feb 94 14:17:13 +0100

===============================================================================
emtex-user Frequently Asked Questions                               08-Feb-1994
===============================================================================

Contents
--------

1  TeX
2  DVI Drivers
3  LaTeX
4  PostScript
5  Miscellanea

APPENDICES

A  Where to get TeX stuff
B  Latest versions of emTeX programs
C  Questions to be answered in a future revision of this FAQ

1  TeX
------

1.1  tex386.exe says "DPMI not supported" or "rsx not found, DPMI not
     supported by emx".  How can I run emTeX386 under Windows?

    Get and install beta 11 of emTeX:

	CTAN: /tex-archive/systems/msdos/emtex/betatest/texb11.zip

    Get and install

        ftp.uni-bielefeld.de: /pub/systems/msdos/misc/dpmigcc3.zip
        [Not yet available there?!]

    You only need rsx.exe.

1.2  What's the difference between normal TeX and bigTeX?

    `bigTeX' is bigger than `normal TeX' (and much slower).  If TeX
    runs out of memory, try bigTeX.  If you have a 386 or better CPU,
    use tex386.exe instead of bigTeX -- it's faster.

1.3  How do I avoid the message "Fatal format file error; I'm stymied"?

    If you're using one of the betatest versions of emTeX you have to
    create new format files.  You cannot use the format files of the
    official emTeX version with the betatest versions of emTeX and
    vice versa.  You cannot use the format files of the normal-sized
    emTeX (tex.exe, tex186.exe, tex286.exe, texp.exe) with a big emTeX
    (tex386.exe, btex.exe, btex186.exe, btex286.exe, btexp.exe).  Note
    that the big emTeX versions use the BTEXFMT environment variable.
    The normal-sized versions use the TEXFMT environment variable.

    For hints on how to create new format files, see fmt.bat, fmt.cmd,
    gfmt.bat and gfmt.cmd in \emtex\texfmts and \emtex\btexfmts (these
    files come with the official emTeX distribution).

1.4  How do I avoid emTeX's truncating file names to 8.3?

    Get and install texb11.zip.

1.5  When will a TeX-XeT or TeX--XeT variant of emTeX be available?

    emTeX won't become a TeX-XeT, which has been superseded by
    TeX--XeT.  TeX--XeT creates standard DVI files, in contrast to
    TeX-XeT which creates IVD files, requiring special DVI drivers or
    an intermediate step for converting to DVI format.  Originally, it
    was planned to implement TeX--XeT in beta 9 of emTeX.  Perhaps it
    will be in beta 12.  (If at all.  Sorry.)

    TeX-XeT and TeX--XeT are special variants of TeX capable of
    left-to-right and right-to-left (for Hebrew etc.) typesetting.

1.6  Why is tex386.exe slower than tex.exe on my machine?

    If there isn't enough memory, tex386.exe swaps to disk.  Don't use
    all your extended memory for caching or as virtual disk!  If a
    VCPI server such as emm386.exe used, tex386.exe uses only expanded
    memory (EMS).  Make sure that there is enough EMS available.

2  DVI Drivers
--------------

2.1  How do I get 800x600 resolution with dviscr?

    Acumos AVGA2, AVGA3                         /oa103:800:600:58
    Advance Logic AL2101                        /oa103:800:600:2B
    Ahead V5000                                 /oa103:800:600:71
    ATI VGAWONDER, Graphics Ultra etc.          /oa103:800:600:54
    Chips and Technologies                      /oa103:800:600:6A
    Cirrus Logic CL-GD 500/600                  /oa103:800:600:64
    Cirrus Logic GD 5422                        /oa103:800:600:58
    Compaq VGA                                  /oa103:800:600:59
    CTI                                         /oa103:800:600:6A
    Diamond Stealth                             /oa103:800:600:4F02:0102
    Everex                                      /oa103:800:600:70:02
    Genoa 5xxx, Sigma VGA                       /oa103:800:600:29
    Genoa 6xxx                                  /oa103:800:600:6A
    MXIC MX 68010                               /oa103:800:600:55
    NCR 77C22                                   /oa103:800:600:58
    OAK Technologies OTI-067, OTI-077, OTI037C  /oa103:800:600:52
    OAK Technologies OTI037C w/ NEL BIOS        /oa103:800:600:5B
    Orchid Prodesigner                          /oa103:800:600:29
    Paradise                                    /oa103:800:600:58
    Poach                                       /oa103:800:600:6A
    Primus                                      /oa103:800:600:2A
    Realtek RT 3106                             /oa103:800:600:1F
    S3                                          /oa103:800:600:4F02:0102
    Tecmar                                      /oa103:800:600:16
    Trident 8900                                /oa103:800:600:5B
    Tseng ET-3000, ET-4000                      /oa103:800:600:29
    VEGA                                        /oa103:800:600:29
    VESA compatible adapters                    /oa103:800:600:4F02:0102
    Video 7 SVGA                                /oa103:800:600:62
    WD90C11                                     /oa103:800:600:5C
    Western Digital                             /oa103:800:600:58

    If your graphics adapter is not listed, try /oa103:800:600:4F02:0102.

2.2  How do I get 1024x768 resolution with dviscr?

    dviscr does not support 1024x768.  If you select a 1024x768 mode
    with the /oa option, dviscr will use the first 512 lines of the
    display, the remaining 256 lines will remain black.  dvipm
    supports all screen resolutions supported by the PM display
    driver.  dviscr 1.4t will support 1024x768 through the Adapter
    Interface, that is, on 8514/A and XGA cards and other cards for
    which there is an HDILOAD.EXE.

2.3  How do I get 600 DPI on a HP LaserJet IV?

    Here's how to obtain 600 DPI output on a LaserJet IV with
    dvihplj 1.4s:

    Create the file 600dpi.pcl by copying the following line (12
    characters, plus end of line characters) to a file named
    600dpi.txt:

      ESC "&u600D"

    and typing

      makedot -b 600dpi.txt 600dpi.pcl

    Use the following dvihplj command line options:

      /r600 /og600 /or2 /ob+ /pi:600dpi.pcl

    This prints everything in graphics mode. Using download fonts will
    be supported in a future dvihplj version (1.4t).

    modes.mf 1.0 claims that

      mode_def laserjetIV =  % HP LaserJet IV (600 DPI)
      proofing:=0;
      fontmaking:=1;
      tracingtitles:=0;
      pixels_per_inch:=600;
      blacker:=0;
      fillin:=.2;
      o_correction:=.6;
      enddef;

    is the METAFONT mode to be used with the HP LaserJet IV for 600
    DPI.  It also says that someone got better results by setting the
    printer's density to 4.

2.4  How do I enable automatic generation of missing fonts?

    Get dvidrv 1.4s and MFjob 1.1l.

2.5  The driver won't find the font after generating a missing font.  Why?

    That's a rounding problem.  As temporary fix, add the size of the
    font as generated by MFjob to the list of font sizes searched by
    the driver.  For instance, if the driver wants cmr10<746.63959>
    and MFjob puts the font into the 746dpi directory (instead of
    747dpi), use

        /fz:+746

    (You might want to add that option it to the batch file or to the
    configuration file.)

2.6  How can I make MFjob invoke mf386.exe (instead of mf.exe)?

    SET MFJOBOPT=/3

    Note that this is a feature introduced by MFjob 1.1l.

2.7  Why does dvihplj omit a \special{em:graph} picture, though dviscr
     doesn't?

    The picture is partially off the paper.  You can run "dvimsp /om"
    (use dvidot instead of dvimsp with dvidrv 1.4s) on a DVI file
    derived from

        \nopagenumbers
        \noindent\special{em:graph mypic}
        \bye

    to remove the blank margins.  That problem will be fixed in
    dvihplj 1.4t.

2.8  What shall I do when dviscr says "2520 graphics mode not supported"
     under OS/2?

    OS/2 fails to report the correct hardware information for some VGA
    boards.  Use the /oa# option with one of the values 11 through 18.
    For instance, use /oa16 for a color VGA display connected to a VGA
    board.  You might want to use dvipm (of dvidrv 1.4s) instead of
    dviscr.  That problem will be fixed in dviscr 1.4t.

2.9  How do I convert DVI files to plain text files?

    [Preliminary]

    Try dvi2tty, dvidoc or dvispell.  dvi2tty is good at converting
    tables, dvispell is good at converting accented characters.

	CTAN: /tex-archive/dviware/dvi2tty
	CTAN: /tex-archive/dviware/dvidoc
	CTAN: /tex-archive/systems/msdos/emtex/betatest/dvispell_02a.zip

2.10 How can I make dvipm let TeX overwrite the DVI file?

    The File.New menu selection of dvipm doesn't work correctly.  Wait
    for dvipm 1.4t.  Using texb11.zip makes File.Reload work.

2.11 How do I create a Fax with emTeX?

    Use dvimsp (or dvidot 1.4s) to create a bitmap file.  Most FAX
    software can handle BMP or PCX files.  Use the following
    configuration file:

        % fax.cnf (204x196 DPI using FAX fonts)
        /pd={,$DVIDRVINPUT:}@i
        /pl=$DVIDRVFONTS:fax_{0,h,1,2,3,4,5,sli}
        /pf=$DVIDRVFONTS:pixel.fax\@Rrdpi\@f{.pk,.pxl}
        /pg={,$DVIDRVGRAPH:}{@Rrdpi\,}@PBf{@Ef,.msp,.pcx,.bmp}
        /rx=204 /ry=196
        /rfx=204 /rfy=196
        /fs=1
        /fm=fax
        /fdx=2 /fdy=1

    Alternatively, you can use dvihplj to create a PCL file.  Some FAX
    software can handle PCL files.

2.12 Is there a driver for the XYZ printer?

    Canon LBP           Try the ancient Beebe drivers
                        CTAN: /tex-archive/dviware/beebe
    Canon BJ10e         dvidot bj10eh  (1.4s)
    Canon BJ200         Sorry, no dvidot parameter file available yet
    Canon BJ300/330     dvidot bj10eh  (1.4s)
    Canon BJ600         Sorry, no dvidot parameter file available yet
    EPSON Stylus 800    See below
    HP DeskJet 500J     Will be supported by dvihplj 1.4t (note the J!)
    HP PaintJet         Try dvihplj 1.4s
    HP QuietJet         Try dvihplj 1.4s
    HP ThinkJet         Try dvihplj 1.4s

2.13 Is there a dvidot parameter file for the EPSON Stylus 800?

    Here's a parameter file for use with dvidot 1.4s:

        %
        % STY800.drv
        %
        COMMENT=EPSON STYLUS 800 360x360 DPI
        TYPE=DOT
        ENV_NAME=DVISTY
        LOG_NAME=dvidot.dlg
        FONT_PATH=\texfonts\pixel.p6h\@Rrdpi\@f{.pk,.pxl}
        VF_PATH=
        PAGE_WIDTH=8in
        PAGE_HEIGHT=11in
        FORM_LENGTH=
        RESOLUTION=360 360
        COLUMNS=2880
        ONE_LINE_FEED=
        BLANK_WIDTH=36
        METHOD=6 1
        MAX_WIDTH=2880
        PINS=7 0
        MAX_LF=255
        FF_METHOD=FF
        S_OPTION=SLOW
        INIT1=ESC '@ ESC '! 0 ESC 'x 1
        INIT2=ESC '@ ESC '! 0 ESC 'x 0
        EXIT=ESC '@
        GRAPH_MODE=ESC '* 73 WORD_LH pixels
        GRAPH_END=
        LINE_FEED=ESC '+ BYTE line_feed LF
        FORM_FEED=FF
        POS_X=

2.14 When will dvidrv 1.4t be available?

    Unknown.  Please don't ask.

3  LaTeX
--------

3.1  I have a LaTeX problem.  Who can help?

    Please do not send general TeX, LaTeX, AMSTeX, NFSS etc. questions
    to the emtex-user list.  You should use the [email-masked] list
    or the comp.text.tex newsgroup instead.

4  PostScript
-------------

4.1  How can I print a DVI file on a PostScript printer?

    Get dvips.  The current version is 5.526.

        CTAN: /tex-archive/dviware/dvips

4.2  How can I use PostScript fonts in LaTeX?

    [pslatex, psnfss, mathtimes, ...?]

4.3  How can I preview DVI files which use PostScript fonts?

    Use dvips to create a PostScript file, then use GhostScript or
    GhostView [location?] to preview the PostScript file.
    Alternatively, you can use ps2pk to build PK fonts from PostScript
    fonts.

        CTAN: /tex-archive/fonts/utilities/ps2pk

    Alternatively, you can use virtual fonts to map PostScript fonts
    to existing PK fonts.  [Details!]

4.4  How can I use PostScript fonts on non-PostScript printers?

    Use dvips to create a PostScript file, then use GhostScript
    [location?] to print the PostScript file.

4.5  How can I insert an EPS file (picture) into my TeX document?

    When using dvips, you can use epsf.sty which comes with dvips.
    See epsf.sty for details.  When using the emTeX drivers, you
    should use GhostScript [location] to convert the EPS file to a
    bitmap file and insert it with \special{em:graph ...} or with
    BM2FONT.

	CTAN: /tex-archive/graphics/bm2font

4.6  How can I use PostScript operators in LaTeX?

    Get PSTricks.

	CTAN: /tex-archive/graphics/pstricks

5  Miscellanea
--------------

5.1  Is there an emTeX version for Linux, Macintosh, Unix, Windows NT, ...?

    No.  emTeX is available for OS/2, MS-DOS, and PC-DOS.  There are
    other ports of TeX for other machines and operating systems.

5.2  How do I unsubscribe from the emtex-user list?

    Write a friendly message to [email-masked],
    requesting unsubscription from emtex-user.  Do not write to the
    list (emtex-user@...)!!!

5.3  What's the best shell (user interface) for emTeX?

    Most users seem to prefer J\"urgen Schlegelmilch's TeXShell.  It
    is available for ftp in the directory

        ftp.uni-stuttgart.de:/tex-archive/systems/msdos/texshell

    See appendix A for other ftp servers.

5.4  Where can I get a spell checker for emTeX?

    There are two aproaches to spell-checking a TeX document:

    1. Run the spell checker on the TeX input file.  Replacing
       incorrectly spelled words is simple in this case.  However, you
       need a spell checker capable of parsing TeX input.  Only TeX
       itself is capable of correctly parsing TeX input.

    2. Convert the DVI file to a text file using dvispell and run the
       spell checker on the text file.  In this case, you can use any
       spell checker.  However, finding the location of an error in
       the TeX input file is inconvenient.

    Here's a list of spell checkers:

	CTAN: /tex-archive/support/amspel
	CTAN: /tex-archive/support/ispell
	CTAN: /tex-archive/support/jspell
	CTAN: /tex-archive/support/tspell
	CTAN: /tex-archive/support/spelchek

APPENDICES

A  Where to get TeX stuff
-------------------------

You can get TeX stuff from the following CTAN servers (CTAN =
Comprehensive TeX Archive Network):

    ftp.shsu.edu           [192.92.115.10]
    ftp.dante.de           [129.206.100.192]
    ftp.uni-stuttgart.de   [129.69.8.13]
    ftp.tex.ac.uk          [134.151.44.19]

The TeX directory is /tex-archive, you can find emTeX in directory
/tex-archive/systems/msdos/emtex.

emTeX is also available from other servers, for instance

    ftp.informatik.tu-muenchen.de [131.159.0.198]: /pub/comp/os/os2/emTeX

B  Latest versions of emTeX programs
------------------------------------

    big-emTeX   3.1415 [3c-beta11]
    dvidrv      1.4s
    dvispell    0.2a
    emTeX       3.1415 [3c-beta11]
    emTeX386    3.1415 [3c-beta11]
    maketcp     1.1c
    METAFONT    2.71 [3c-beta1]
    MF386       2.71 [3c-beta1]
    MFjob       1.1l
    pkeditpm    1.0b

        CTAN: /tex-archive/systems/msdos/emtex/betatest

C  Questions to be answered in a future revision of this FAQ
------------------------------------------------------------

None, currently.